import { SharedService } from '../../../shared/service/shared.service';
import { SummaryData, RemediaionType, AssetPosition } from '../../../shared/models';
export declare class SummaryBase {
    sharedService: SharedService;
    constructor(sharedService: SharedService);
    RemediaionValuesEnum: typeof RemediaionType;
    AssetPositionValuesEnum: typeof AssetPosition;
    selectedAnswer: any;
    correctAnswer: any;
    isClearAnswer: false;
    summaryData: SummaryData;
    convertedTime: string;
    render: boolean;
    selectedResponseClass: string;
    overtimelimitClass: string;
    userAnswerView: any;
    currentTime: string;
    classAssetPosition: string;
    selectedAnswerValue: string[];
    preferredTextFormat: number;
    userAnswerViewDetails: any;
    convertTime2(sec: any, type: any): string;
    getQuestionProgressClass(questionList: any): "wk-icon-checkmark green-checkmark" | "wk-icon-close wrong-checkmark" | "wkqp-unattempted";
    getSelectedResponseClass(userAttemptDetails: any): "wkqp-alert-danger" | "wkqp-alert-success wkqp-success";
    getOvertimelimitClass(question: any): string;
    splitStringForType(type: any, value: any): string;
    formattingAnswers(): void;
    classBindForAssetPosition(question: any): {
        'wkqp-col-8': boolean;
        'wkqp-col-12': boolean;
        'right-assets-position-question': boolean;
        'left-assets-position-question': boolean;
        'top-assets-position-question': boolean;
        'bottom-assets-position-question': boolean;
    };
}
